org.keycloak.services.clientregistration.policy.impl

## Class TrustedHostClientRegistrationPolicyFactory

- java.lang.Object
- - org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory
  - - org.keycloak.services.clientregistration.policy.impl.TrustedHostClientRegistrationPolicyFactory

- All Implemented Interfaces:
    ComponentFactory<ClientRegistrationPolicy,ClientRegistrationPolicy>, ConfiguredProvider, ProviderFactory<ClientRegistrationPolicy>, ClientRegistrationPolicyFactory

      public class TrustedHostClientRegistrationPolicyFactory
      extends AbstractClientRegistrationPolicyFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_URIS_MUST_MATCH`
    `static String` | `HOST_SENDING_REGISTRATION_REQUEST_MUST_MATCH`
    `static String` | `PROVIDER_ID`
    `static String` | `TRUSTED_HOSTS`

    - ### Fields inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `sessionFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustedHostClientRegistrationPolicyFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientRegistrationPolicy` | `create(KeycloakSession session, ComponentModel model)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `validateConfiguration(KeycloakSession session, RealmModel realm, ComponentModel config)` Called before a component is created or updated.

    - ### Methods inherited from class org.keycloak.services.clientregistration.policy.AbstractClientRegistrationPolicyFactory

      `close, getConfigProperties, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### TRUSTED_HOSTS

          public static final String TRUSTED_HOSTS

      See Also:
        Constant Field Values

    - #### HOST_SENDING_REGISTRATION_REQUEST_MUST_MATCH

          public static final String HOST_SENDING_REGISTRATION_REQUEST_MUST_MATCH

      See Also:
        Constant Field Values

    - #### CLIENT_URIS_MUST_MATCH

          public static final String CLIENT_URIS_MUST_MATCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TrustedHostClientRegistrationPolicyFactory

          public TrustedHostClientRegistrationPolicyFactory()

  - ### Method Detail

    - #### create

          public ClientRegistrationPolicy create(KeycloakSession session,
                                                 ComponentModel model)

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

    - #### validateConfiguration

          public void validateConfiguration(KeycloakSession session,
                                            RealmModel realm,
                                            ComponentModel config)
                                     throws ComponentValidationException

      Description copied from interface: `ComponentFactory`
      Called before a component is created or updated. Allows you to validate the configuration
      Specified by:
        `validateConfiguration` in interface `ComponentFactory<ClientRegistrationPolicy,ClientRegistrationPolicy>`
      Overrides:
        `validateConfiguration` in class `AbstractClientRegistrationPolicyFactory`
      Throws:
        `ComponentValidationException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.